package abc.meta.ast;

import polyglot.ast.Ext;
import abc.aspectj.ast.AJExtFactory;

/**
 * The extension factory for the meta level extension.
 *
 * @author Eric Bodden
 */
public interface MetaExtFactory extends AJExtFactory {

    /**
     * Returns the extension for meta tag pointcuts.  
     */
    public Ext extPCMetaTag();

    /**
     * Returns the extension for meta tags for asepcts.
     */
    public Ext extMetaTag();    
    
}
