package abc.meta.types;

import polyglot.frontend.Source;
import polyglot.types.LazyClassInitializer;
import abc.aspectj.types.AJTypeSystem_c;

/**
 * Creates our own aspect type for aspects. This type can hold meta levels.
 * 
 * @author Eric Bodden
 */
public class MetaTypeSystem_c extends AJTypeSystem_c {

    /**
	 * {@inheritDoc}
	 */
	public abc.aspectj.types.AspectType createAspectType(LazyClassInitializer init, Source fromSource, int perKind) {
        //make sure that we create the overwriten version of aspect types, on which a meta level can be set
        //this level is then set by the type builder
		return new AspectType_c(this, init, fromSource, perKind);
	}

}
