package abc.meta.ast;

import polyglot.ast.JL;
import abc.aspectj.ast.AJDelFactory;

/**
 * The delegate factory for the meta level extension.
 *
 * @author Eric Bodden
 */
public interface MetaDelFactory extends AJDelFactory {

    /**
     * Returns the delegate for meta pointcuts.
     */
    public JL delPCMetaTag();

    /**
     * Returns the delegate for meta tags for aspects.
     */
    public JL delMetaTag();
    
}
