package abc.meta.types;

/**
 * Adds a meta level to the aspect type.
 * This is used to recover the meta level during matching (matching is based on types).
 * @author Eric Bodden
 */
public interface AspectType extends abc.aspectj.types.AspectType {

    /**
	 * @param level the meta level
	 */
	public void setMetaLevel(int level);
	
	/**
	 * @return the meta level
	 */
	public int getMetaLevel();

}